; ##############################################################################
; ##############################################################################
; ##############################################################################
USART_INITIALISIEREN:
	ldi temp,TAKT/(BAUD*16)-1  		; Baudrate 								
	out UBRRL,temp
   	ldi temp, (1<<URSEL)|(3<<UCSZ0)	; Frame-Format: 8 Bit					
    out UCSRC, temp
    cbi UCSRB, RXCIE                ; Interrupt bei Empfang	de-aktivieren	
    cbi UCSRB, RXEN 				; RX de-aktivieren (Empfang)      		
	sbi UCSRB, TXEN  				; TX aktivieren                 		
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 	INPUT: temp1														
;																		
;	rcall SENDEN	; INP: TEMP1										
;																		
USART_TX_TEMP1:
	rcall WAIT_1ms
	WDR 						; Watch-Dog-RESET					
	sbis UCSRA,UDRE  		   	; Warten bis UDR frei             	
	rjmp USART_TX_TEMP1			; Sprung							
	out UDR, temp1				; senden							
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
USART_TX_DATA:
	ldi YL,LOW (1000)
	ldi YH,HIGH(1000)

	ldi XL, LOW (adr_SPI_DATENBEREICH)
	ldi XH, HIGH(adr_SPI_DATENBEREICH)
;-------------------------------------------------------------------------------
USART_TX_DATA_s:
	LD temp1,X+
	rcall USART_TX_TEMP1

	sbiw YL,1	; -1
	tst YL
	brne USART_TX_DATA_s
	tst YH
	brne USART_TX_DATA_s



ret
; ##############################################################################
; ##############################################################################
; ##############################################################################

